Package com.ads.api.beans.kv

# Enum Class KeyValue.DisplayPolicy

java.lang.Object
java.lang.Enum<KeyValue.DisplayPolicy>
com.ads.api.beans.kv.KeyValue.DisplayPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<KeyValue.DisplayPolicy>`, `Constable`

Enclosing class:
  KeyValue

public static enum KeyValue.DisplayPolicy extends Enum<KeyValue.DisplayPolicy>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONSOLIDATE`
  `EXPAND`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(String name)`
  `static KeyValue.DisplayPolicy`
  `getDisplayPolicy(int displayValue)`
  `static int`
  `parse(String name)`
  `int`
  `toInt()`
  `static KeyValue.DisplayPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static KeyValue.DisplayPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final KeyValue.DisplayPolicy NONE

  - ### CONSOLIDATE

    public static final KeyValue.DisplayPolicy CONSOLIDATE

  - ### EXPAND

    public static final KeyValue.DisplayPolicy EXPAND

- ## Method Details

  - ### values

    public static KeyValue.DisplayPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static KeyValue.DisplayPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### add

    public void add(String name)

  - ### parse

    public static int parse(String name)

  - ### getDisplayPolicy

    public static KeyValue.DisplayPolicy getDisplayPolicy(int displayValue)

  - ### toInt

    public int toInt()